%define _xmmsoutputdir /usr/lib/xmms/Output

Summary: A neat crossfade output plugin for XMMS.
Name: xmms-crossfade
Version: 0.2.9
Release: fr1
Copyright: GPL
Group: Applications/Multimedia
URL: http://www.netcologne.de/~nc-eisenlpe2/xmms-crossfade/
Source: http://www.netcologne.de/~nc-eisenlpe2/%{name}/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root
Requires: xmms >= 1.0.0, glib >= 1.2.7, gtk+ >= 1.2.7
BuildPrereq: xmms-devel

%description
This crossfade plugin for XMMS features :
- Crossfading
- Continuous output
- Gap-Killer

%prep
%setup -q

%build
%configure --libdir=%{_xmmsoutputdir}
make

%install
rm -rf %{buildroot}
%makeinstall libdir=%{buildroot}/%{_xmmsoutputdir}
strip %{buildroot}/%{_xmmsoutputdir}/*.so

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README TODO
%{_xmmsoutputdir}/libcrossfade.*

%changelog
* Mon Jun 11 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.2.9.

* Sat May 12 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.2.8.

* Mon Apr 23 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.2.7.

* Fri Apr 20 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat 7.1.

* Sun Mar 25 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.2.6.

* Thu Mar 15 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.2.5.

* Mon Mar 12 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.2.4.

* Tue Jan  2 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RedHat 7.0 RPM release

